
From: Dave Jones <davej@redhat.com>

drivers/net/chelsio/cxgb2.c:113: error: `__mod_pci_device_table' aliased
to external symbol `t1_pci_tbl'.

Signed-off-by: Dave Jones <davej@redhat.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/net/chelsio/cxgb2.c |    1 -
 25-akpm/drivers/net/chelsio/subr.c  |    1 +
 2 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/net/chelsio/cxgb2.c~chelsio-build-fix drivers/net/chelsio/cxgb2.c
--- 25/drivers/net/chelsio/cxgb2.c~chelsio-build-fix	2005-04-06 01:43:00.000000000 -0700
+++ 25-akpm/drivers/net/chelsio/cxgb2.c	2005-04-06 01:43:00.000000000 -0700
@@ -110,7 +110,6 @@ static char driver_version[] = "2.1.0";
 MODULE_DESCRIPTION(MODULE_DESC);
 MODULE_AUTHOR("Chelsio Communications");
 MODULE_LICENSE("GPL");
-MODULE_DEVICE_TABLE(pci, t1_pci_tbl);
 
 static int dflt_msg_enable = DFLT_MSG_ENABLE;
 
diff -puN drivers/net/chelsio/subr.c~chelsio-build-fix drivers/net/chelsio/subr.c
--- 25/drivers/net/chelsio/subr.c~chelsio-build-fix	2005-04-06 01:43:00.000000000 -0700
+++ 25-akpm/drivers/net/chelsio/subr.c	2005-04-06 01:43:00.000000000 -0700
@@ -307,6 +307,7 @@ struct pci_device_id t1_pci_tbl[] = {
 	CH_DEVICE(10, 1, CH_BRD_N210_1F),
 	{ 0, }
 };
+MODULE_DEVICE_TABLE(pci, t1_pci_tbl);
 
 /*
  * Return the board_info structure with a given index.  Out-of-range indices
_
